package com.qmth.teachcloud.cas.mq.gdpu.bean;

import java.util.Date;

/**
 * 主流程表DTO
 */
public class ProcessInfoDTO {
    /**
     * 紧急程度
     */
    private String priorityCode;
    /**
     * 节点经办人，且结办过的
     */
    private String endUser;
    /**
     * 当前审批者账号
     */
    private String author;
    /**
     * 当前审批者姓名
     */
    private String authorCn;
    /**
     * 当前所在节点id
     */
    private String currentNodeId;
    /**
     * 流程当前所处的节点名称
     */
    private String currentNodeName;
    /**
     * 总耗时
     */
    private String totalTime;
    /**
     * 阅读过的人，点击查看过事务的也算
     */
    private String allReaders;
    /**
     * 流程当前状态
     */
    private String status;
    /**
     * 链接地址
     */
    private String url;
    /**
     * 移动端的地址，为空时取链接地址
     */
    private String mobileUrl;
    /**
     * 文档创建时间
     */
    private Date docAddTime;
    /**
     * 所属应用的ID号
     */
    private String sysAppId;
    /**
     * 所属流程名称
     */
    private String processName;
    /**
     * 所属流程id
     */
    private String processId;
    /**
     * 流水号，唯一标识
     TodoInfoDTO 类
     */
    private String orunId;
    /**
     * 申请人账号
     */
    private String userId;
    /**
     * 申请人姓名
     */
    private String userName;
    /**
     * 流水标题
     */
    private String subject;
    /**
     * 流程办理截止时间
     */
    private Date deadLineTime;
    /**
     * 文档办结时间
     */
    private Date docEndTime;
    /**
     * 事务描述
     */
    private String desc;

    public String getPriorityCode() {
        return priorityCode;
    }

    public void setPriorityCode(String priorityCode) {
        this.priorityCode = priorityCode;
    }

    public String getEndUser() {
        return endUser;
    }

    public void setEndUser(String endUser) {
        this.endUser = endUser;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getAuthorCn() {
        return authorCn;
    }

    public void setAuthorCn(String authorCn) {
        this.authorCn = authorCn;
    }

    public String getCurrentNodeId() {
        return currentNodeId;
    }

    public void setCurrentNodeId(String currentNodeId) {
        this.currentNodeId = currentNodeId;
    }

    public String getCurrentNodeName() {
        return currentNodeName;
    }

    public void setCurrentNodeName(String currentNodeName) {
        this.currentNodeName = currentNodeName;
    }

    public String getTotalTime() {
        return totalTime;
    }

    public void setTotalTime(String totalTime) {
        this.totalTime = totalTime;
    }

    public String getAllReaders() {
        return allReaders;
    }

    public void setAllReaders(String allReaders) {
        this.allReaders = allReaders;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getMobileUrl() {
        return mobileUrl;
    }

    public void setMobileUrl(String mobileUrl) {
        this.mobileUrl = mobileUrl;
    }

    public Date getDocAddTime() {
        return docAddTime;
    }

    public void setDocAddTime(Date docAddTime) {
        this.docAddTime = docAddTime;
    }

    public String getSysAppId() {
        return sysAppId;
    }

    public void setSysAppId(String sysAppId) {
        this.sysAppId = sysAppId;
    }

    public String getProcessName() {
        return processName;
    }

    public void setProcessName(String processName) {
        this.processName = processName;
    }

    public String getProcessId() {
        return processId;
    }

    public void setProcessId(String processId) {
        this.processId = processId;
    }

    public String getOrunId() {
        return orunId;
    }

    public void setOrunId(String orunId) {
        this.orunId = orunId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public Date getDeadLineTime() {
        return deadLineTime;
    }

    public void setDeadLineTime(Date deadLineTime) {
        this.deadLineTime = deadLineTime;
    }

    public Date getDocEndTime() {
        return docEndTime;
    }

    public void setDocEndTime(Date docEndTime) {
        this.docEndTime = docEndTime;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}